summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--scripts/makepkg.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 97418796..30e365c0 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1910,9 +1910,9 @@ if (( SOURCEONLY )); then
exit 0
fi
-if (( NODEPS || NOBUILD || REPKG )); then
+if (( NODEPS || ( (NOBUILD || REPKG) && !DEP_BIN ) )); then
# no warning message needed for nobuild, repkg
- if (( NODEPS )); then
+ if (( NODEPS || ( REPKG && PKGFUNC ) )); then
warning "$(gettext "Skipping dependency checks.")"
fi
elif [ $(type -p "${PACMAN%% *}") ]; then